org.eclipse.graphiti.mm.algorithms

## Interface PlatformGraphicsAlgorithm

All Superinterfaces:
  AbstractStyle, org.eclipse.emf.ecore.EObject, GraphicsAlgorithm, GraphicsAlgorithmContainer, org.eclipse.emf.common.notify.Notifier, PropertyContainer

All Known Implementing Classes:
  PlatformGraphicsAlgorithmImpl

    public interface PlatformGraphicsAlgorithm
    extends GraphicsAlgorithm

A representation of the model object 'Platform Graphics Algorithm'.

The following features are supported:

- `Id`

See Also:
  `AlgorithmsPackage.getPlatformGraphicsAlgorithm()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getId()` Returns the value of the 'Id' attribute.
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.GraphicsAlgorithm

`getGraphicsAlgorithmChildren, getHeight, getParentGraphicsAlgorithm, getPictogramElement, getStyle, getWidth, getX, getY, setHeight, setParentGraphicsAlgorithm, setPictogramElement, setStyle, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Method Detail

#### getId

    java.lang.String getId()

Returns the value of the 'Id' attribute.

If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Id' attribute.
See Also:
  `setId(String)`, `AlgorithmsPackage.getPlatformGraphicsAlgorithm_Id()`

#### setId

    void setId(java.lang.String value)

Sets the value of the '`Id`' attribute.

Parameters:
  `value` - the new value of the 'Id' attribute.
See Also:
  `getId()`